module JRobots where

energy :: Int -> Double
energy 0 = 0
energy n = e0 + (eps/fps) * exp((-0.5) * (e0 + eps/fps))
       where e0 = energy (n-1)

energyC :: Int -> Double -> Double
energyC 0 cons = 0
energyC n cons = if (z >= (cons/25)) then z - (cons/25) else z
       where z = e0 + (eps/fps) * exp((-0.5) * (e0 + eps/fps))
             e0 = (energyC (n-1) cons)
             
tractorCps :: Double 
tractorCps = 0.3 * eps

-- energy per second
eps = 0.3

-- frames per second
fps = 25.0

